Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Class SAMv3Handler.DatagramServer

    java.lang.Object
      net.i2p.sam.SAMv3Handler.DatagramServer

Enclosing class:
  SAMv3Handler

    public static class SAMv3Handler.DatagramServer

extends Object

Nested Class Summary
`(package private) class` | `SAMv3Handler.DatagramServer.Listener`

Constructor Summary
`SAMv3Handler.DatagramServer(Properties props)`

Method Summary
`static SAMv3Handler.DatagramServer` | `getInstance()`
`static SAMv3Handler.DatagramServer` | `getInstance(Properties props)`
`void` | `send(SocketAddress addr, ByteBuffer msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMv3Handler.DatagramServer

    public SAMv3Handler.DatagramServer(Properties props)
                                throws IOException

Throws:
  `IOException`

Method Detail

### getInstance

    public static SAMv3Handler.DatagramServer getInstance()
                                                   throws IOException

  Throws:
    `IOException`

### getInstance

    public static SAMv3Handler.DatagramServer getInstance(Properties props)
                                                   throws IOException

  Throws:
    `IOException`

### send

    public void send(SocketAddress addr,
                     ByteBuffer msg)
              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD